org.apache.http.conn

## Class ConnectionPoolTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.InterruptedIOException
        - - org.apache.http.conn.ConnectTimeoutException
          - - org.apache.http.conn.ConnectionPoolTimeoutException

- All Implemented Interfaces:
    Serializable

      public class ConnectionPoolTimeoutException
      extends ConnectTimeoutException

  A timeout while waiting for an available connection from a connection manager.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.io.InterruptedIOException

      `bytesTransferred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionPoolTimeoutException()` Creates a ConnectTimeoutException with a `null` detail message.
    `ConnectionPoolTimeoutException(String message)` Creates a ConnectTimeoutException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.http.conn.ConnectTimeoutException

      `getHost`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionPoolTimeoutException

          public ConnectionPoolTimeoutException()

      Creates a ConnectTimeoutException with a `null` detail message.

    - #### ConnectionPoolTimeoutException

          public ConnectionPoolTimeoutException(String message)

      Creates a ConnectTimeoutException with the specified detail message.
      Parameters:
        `message` - The exception detail message

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.